package javax.net.ssl;

import java.security.InvalidAlgorithmParameterException;
import java.security.KeyStoreException;
import java.security.KeyStore;

public abstract class TrustManagerFactorySpi
{
    public TrustManagerFactorySpi() {
    }
    
    protected abstract void engineInit(KeyStore p0) throws KeyStoreException;
    
    protected abstract void engineInit(ManagerFactoryParameters p0) throws InvalidAlgorithmParameterException;
    
    protected abstract TrustManager[] engineGetTrustManagers();
}
